/// <reference types="fhir" />
export interface PractitionerConstructor {
    id?: string;
    firstName?: string;
    lastName?: string;
    prefix?: string;
    suffix?: string;
    street?: string;
    city?: string;
    postalCode?: string;
    telephone?: string;
    website?: string;
}
export default class Practitioner implements fhir.Practitioner {
    static fromFHIRObject(FHIRObject: fhir.Practitioner): Practitioner;
    address?: fhir.Address[];
    id?: string;
    identifier?: fhir.Identifier[];
    name?: fhir.HumanName[];
    resourceType: string;
    telecom?: fhir.ContactPoint[];
    constructor({ firstName, lastName, prefix, suffix, street, city, postalCode, telephone, website, }: PractitionerConstructor);
    getFirstName(): string;
    getLastName(): string;
    getPrefix(): string;
    getSuffix(): string;
    getStreet(): string;
    getCity(): string;
    getPostalCode(): string;
    getTelephone(): string;
    getWebsite(): string;
}
